Update person in list

POST /person/update


Description

The method updates the person’s data in the specified or default list. JWT token is required in the header for access.


Request format

  • HTTP method: POST
  • URL: /person/update
  • Content type: application/json
  • Authorization: required

Query Parameters

ParameterTypeWhere PassedRequiredDescription
tokenstringHeaderUser’s JWT token

Request Body (JSON)

FieldTypeRequiredDescription
tokenstringUser’s JWT token
list_idstringPerson list ID
person_idstringPerson ID
fieldsstring[]New array of strings with business data
drop_imagebooleanDo not save image to history
new_list_idstringNew list ID for moving

Example Request (cURL)

curl -X POST "https://api.neuro-vision.ru/v1/person/update" 
  -H "Content-Type: application/json" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -d '{
    "token": "jwt.temporary.token",
    "list_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "person_id": "75e55780-8943-11ea-9773-e96daa282099",
    "fields": ["New Name", "New Info"],
    "drop_image": true,
    "new_list_id": "e564e890-893b-11ea-8772-3b4b123daaaa"
  }'

Example Answers

Success (200 OK)
{
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}
Error (401 Unauthorized)
{
  "message": "access denied",
  "status": "error"
}
Error (404 Not Found)
{
  "message": "item with this id not found",
  "status": "error"
}